> ## Documentation Index
> Fetch the complete documentation index at: https://docs.url2llm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Scrape



## OpenAPI

````yaml /openapi-public.json post /v1/batch/scrape
openapi: 3.1.0
info:
  title: url2llm
  version: 0.1.0
servers: []
security: []
paths:
  /v1/batch/scrape:
    post:
      tags:
        - public
        - batch
      summary: Batch Scrape
      operationId: batchScrape
      parameters:
        - in: header
          name: Idempotency-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency-Key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponse_CollectionStatus_'
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Service Unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResult'
          description: Gateway Timeout
      security:
        - HTTPBearer: []
components:
  schemas:
    BatchRequest:
      additionalProperties: false
      properties:
        scrapeOptions:
          $ref: '#/components/schemas/ScrapeOptions'
        urls:
          items:
            type: string
          maxItems: 100
          minItems: 1
          title: Urls
          type: array
      required:
        - urls
      title: BatchRequest
      type: object
    APIResponse_CollectionStatus_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/CollectionStatus'
            - type: 'null'
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: true
          title: Success
          type: boolean
      required:
        - success
        - data
        - meta
        - message
        - request_id
      title: APIResponse[CollectionStatus]
      type: object
    ErrorResult:
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        success:
          default: false
          title: Success
          type: boolean
      required:
        - success
        - error
        - request_id
      title: ErrorResult
      type: object
    ScrapeOptions:
      additionalProperties: false
      description: Everything a caller can ask for on a single page.
      properties:
        blockAds:
          default: true
          title: Blockads
          type: boolean
        excludeTags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Excludetags
        formats:
          items:
            enum:
              - markdown
              - html
              - rawHtml
              - links
              - screenshot
              - screenshot@fullPage
              - assets
              - branding
            type: string
          title: Formats
          type: array
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
        includeTags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Includetags
        jsonPrompt:
          anyOf:
            - maxLength: 10000
              type: string
            - type: 'null'
          title: Jsonprompt
        jsonSchema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Jsonschema
        location:
          anyOf:
            - $ref: '#/components/schemas/Location'
            - type: 'null'
        mobile:
          default: false
          title: Mobile
          type: boolean
        onlyMainContent:
          default: true
          title: Onlymaincontent
          type: boolean
        renderJs:
          default: true
          title: Renderjs
          type: boolean
        screenshotParams:
          anyOf:
            - $ref: '#/components/schemas/ScreenshotParams'
            - type: 'null'
        timeout:
          default: 30000
          exclusiveMinimum: 0
          maximum: 120000
          title: Timeout
          type: integer
        waitFor:
          default: 0
          maximum: 60000
          minimum: 0
          title: Waitfor
          type: integer
      title: ScrapeOptions
      type: object
    CollectionStatus:
      properties:
        completed:
          title: Completed
          type: integer
        created_at:
          format: date-time
          title: Created At
          type: string
        credits_used:
          title: Credits Used
          type: integer
        failed:
          title: Failed
          type: integer
        id:
          title: Id
          type: string
        kind:
          enum:
            - crawl
            - batch
            - brand
          title: Kind
          type: string
        pending:
          title: Pending
          type: integer
        reserved_credits:
          title: Reserved Credits
          type: integer
        status:
          enum:
            - queued
            - running
            - completed
            - failed
            - cancelled
          title: Status
          type: string
        total:
          title: Total
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
        warning:
          anyOf:
            - type: string
            - type: 'null'
          title: Warning
      required:
        - id
        - kind
        - status
        - total
        - completed
        - failed
        - pending
        - credits_used
        - reserved_credits
        - created_at
        - updated_at
        - warning
      title: CollectionStatus
      type: object
    ApiError:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - {}
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
        - details
      title: ApiError
      type: object
    Location:
      additionalProperties: false
      properties:
        country:
          default: us
          maxLength: 2
          minLength: 2
          pattern: ^[A-Za-z]{2}$
          title: Country
          type: string
        languages:
          items:
            type: string
          title: Languages
          type: array
      title: Location
      type: object
    ScreenshotParams:
      additionalProperties: false
      properties:
        delivery:
          default: base64
          enum:
            - base64
            - url
          title: Delivery
          type: string
        format:
          default: jpeg
          enum:
            - png
            - jpeg
            - webp
          title: Format
          type: string
        fullPage:
          default: false
          title: Fullpage
          type: boolean
        quality:
          anyOf:
            - maximum: 100
              minimum: 1
              type: integer
            - type: 'null'
          description: JPEG/WebP quality; defaults to 80.
          title: Quality
      title: ScreenshotParams
      type: object
  securitySchemes:
    HTTPBearer:
      description: 'Send an active organization API key in the Authorization: Bearer header.'
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.